%define pkg_name        Tie-EncryptedHash
%define pkg_version     1.21
%define rpm_pkg_version 1.21
%define rpm_pkg_release 5.n0i.7

Summary:       Hashes (and objects based on hashes) with encrypting fields
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/V/VI/VIPUL/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(Crypt::Blowfish)}
%{!?_without_test:BuildRequires: perl(Crypt::CBC)}
%{!?_without_test:BuildRequires: perl(Crypt::DES)}


%description
Tie::EncryptedHash augments Perl hash semantics to build secure, encrypting
containers of data. Tie::EncryptedHash introduces special hash fields that are
coupled with encrypt/decrypt routines to encrypt assignments at STORE() and
decrypt retrievals at FETCH(). By design, *encrypting fields* are associated
with keys that begin in single underscore. The remaining keyspace is used for
accessing normal hash fields, which are retained without modification.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README.html TODO


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.21-5.n0i.7
- spec file (re)created using N0i::CPAN::RPMizer 0.1
- rebuild on perl 5.8.8

* Sun Jul 24 2005 Marius Feraru <altblue@n0i.net> 1.21-4.n0i.6
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:1.21-3.n0i.5
- rebuild (FC4)

* Wed May 05 2004 Marius Feraru <altblue@n0i.net> 0:1.21-2.n0i.4
- rebuild (perl 5.8.6)

* Wed May 05 2004 Marius Feraru <altblue@n0i.net> 0:1.21-1.n0i.3
- spec file (re?)created using N0i::CPAN::RPMizer/2004050401
- rebuild (perl 5.8.4)

* Thu Jan 29 2004 Marius FERARU <altblue@n0i.net> 0:1.21-0.n0i.2
- version 1.21
- spec file (re?)created using N0i::CPAN::RPMizer/2004011001

* Sun Jun 29 2003 Marius FERARU <altblue@n0i.net> 1.21-0.n0i
- Initial build.
